# Uses of Class
javax.net.ssl.SSLParameters

Packages that use SSLParameters
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
java.net.http
HTTP Client and WebSocket APIs
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLParameters in com.sun.net.httpserver

Methods in com.sun.net.httpserver with parameters of type SSLParameters
Modifier and Type
Method
Description
`abstract void`
HttpsParameters.`setSSLParameters(SSLParameters params)`
Sets the `SSLParameters` to use for this `HttpsParameters`.

## Uses of SSLParameters in java.net.http

Methods in java.net.http that return SSLParameters
Modifier and Type
Method
Description
`abstract SSLParameters`
HttpClient.`sslParameters()`
Returns a copy of this client's `SSLParameters`.
Methods in java.net.http with parameters of type SSLParameters
Modifier and Type
Method
Description
`HttpClient.Builder`
HttpClient.Builder.`sslParameters(SSLParameters sslParameters)`
Sets an `SSLParameters`.

## Uses of SSLParameters in javax.net.ssl

Methods in javax.net.ssl that return SSLParameters
Modifier and Type
Method
Description
`protected SSLParameters`
SSLContextSpi.`engineGetDefaultSSLParameters()`
Returns a copy of the SSLParameters indicating the default settings for this SSL context.
`protected SSLParameters`
SSLContextSpi.`engineGetSupportedSSLParameters()`
Returns a copy of the SSLParameters indicating the maximum supported settings for this SSL context.
`final SSLParameters`
SSLContext.`getDefaultSSLParameters()`
Returns a copy of the SSLParameters indicating the default settings for this SSL context.
`SSLParameters`
SSLEngine.`getSSLParameters()`
Returns the SSLParameters in effect for this SSLEngine.
`SSLParameters`
SSLServerSocket.`getSSLParameters()`
Returns the SSLParameters in effect for newly accepted connections.
`SSLParameters`
SSLSocket.`getSSLParameters()`
Returns the SSLParameters in effect for this SSLSocket.
`final SSLParameters`
SSLContext.`getSupportedSSLParameters()`
Returns a copy of the SSLParameters indicating the supported settings for this SSL context.
Methods in javax.net.ssl with parameters of type SSLParameters
Modifier and Type
Method
Description
`void`
SSLEngine.`setSSLParameters(SSLParameters params)`
Applies SSLParameters to this engine.
`void`
SSLServerSocket.`setSSLParameters(SSLParameters params)`
Applies SSLParameters to newly accepted connections.
`void`
SSLSocket.`setSSLParameters(SSLParameters params)`
Applies SSLParameters to this socket.